/* ------------------------------------------------------------------------- */
/* types.h : Unix equivalent of Amiga exec/types.h (partial)                 */
/* Author: Jean-Francois Giorgi   s                                          */
/*          giorgi@irisa.fr                                                  */
/* ------------------------------------------------------------------------- */

#ifndef TYPES_H
#define TYPES_H

#define NULL 0
#define TRUE 1
#define FALSE 0
#define VOID void
#define LOCAL static

/* primitive types */
/* adjust them according to your system */

typedef char BYTE;             /* BYTE   : 8 bits signed    */
typedef unsigned char UBYTE;   /* UBYTE  : 8 bits unsigned  */
typedef short WORD;            /* WORD   : 16 bits signed   */
typedef unsigned short UWORD;  /* UWORD  : 16 bits unsigned */
typedef int LONG;              /* LONG   : 32 bits signed   */
typedef unsigned int ULONG;    /* ULONG  : 32 bits unsigned */
typedef short BOOL;            /* BOOL   : 16 bits signed   */
typedef LONG BPTR;             /* BPTR   : Basic Pointer    */
typedef UBYTE *PLANEPTR;       /* PLANEPTR : see Amiga GFX includes */

#define MAX(a,b) (((a)>(b))?(a):(b))
#define MIN(a,b) (((a)<(b))?(a):(b))

#endif TYPES_H
